'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgAugmentedReality = function SvgAugmentedReality(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#AugmentedReality_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M77.445 2.001H60.21v1.027h16.761v16.76h1.027V2.557A.523.523 0 0 0 77.445 2M3.026 3.028h16.76V2.001H2.556a.514.514 0 0 0-.514.513V19.79h.986zm0 57.184H2v17.233a.513.513 0 0 0 .514.514h17.274v-.986H3.027zm73.945 16.761h-16.76V78h17.233a.514.514 0 0 0 .513-.513V60.212h-.986zM40 51.996a11.996 11.996 0 1 0-11.996-11.995 12.006 12.006 0 0 0 11.995 11.995m0-22.964A10.969 10.969 0 1 1 29.03 40.001a10.98 10.98 0 0 1 10.968-10.969m0 16.432a5.453 5.453 0 0 0 0-10.907v1.027A4.427 4.427 0 1 1 35.573 40h-1.027A5.453 5.453 0 0 0 40 45.455zm-.514 18.877h1.027v13.104h-1.027zm0-61.775h1.027V15.67h-1.027zm17.213 36.972h13.084v1.027H56.699zm-46.483-.051H23.3v1.027H10.216zM40 59.123A47.16 47.16 0 0 0 77.856 40.31a.49.49 0 0 0 0-.617 47.49 47.49 0 0 0-75.701 0 .48.48 0 0 0-.103.309c.001.11.037.218.103.308A47.14 47.14 0 0 0 40 59.124m0-37.218A46.13 46.13 0 0 1 76.798 40a46.462 46.462 0 0 1-73.595 0 46.13 46.13 0 0 1 36.797-18.096"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "AugmentedReality_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgAugmentedReality;
